Skip to main content
GET
/
v2
/
security
/
redteam
/
attacks
/
{attack_id}
Get Attack Details
curl --request GET \
  --url https://api.valiqor.com/v2/security/redteam/attacks/{attack_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "run_id": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "full_input": "<string>",
  "full_response": "<string>",
  "attack_vector_name": "<string>",
  "vulnerability_name": "<string>",
  "status": "<string>",
  "attack_metadata": {},
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Path Parameters

attack_id
string
required

Response

Successful Response

Full red team attack details for drawer

id
string
required
run_id
string
required
timestamp
string<date-time>
required
full_input
string | null
required
full_response
string | null
required
attack_vector_name
string | null
required
vulnerability_name
string | null
required
status
string
required
attack_metadata
Attack Metadata · object
required
created_at
string<date-time>
required